<?php

if (!defined('ABSPATH')) exit;

use amJL_class\TextFormForAdmin;

if (!function_exists('amJL_certification')){
    function amJL_certification(){

        $text_form = new TextFormForAdmin();

        $password = sanitize_text_field(get_option('amJL_plugin'));

        if(filter_input(INPUT_POST, 'main') === 'certification'){
            $plugin = sanitize_text_field(filter_input(INPUT_POST, 'amJL_plugin'));
            update_option('amJL_plugin', $plugin);

            $result = amJL_is_license_valid($plugin);

            $path = amJL_define_path();

            if ($result && $result->valid) {
                if (!file_exists($path['contents'] . 'auto-making-json-ld-pro.php')) {
                    amJL_download_and_install_pro_features($result->package_url);
                }
            }
        }

        $admin_url = filter_input(INPUT_SERVER, 'REQUEST_URI', FILTER_SANITIZE_URL);

        if(filter_input(INPUT_POST, 'main') === 'certification'){ ?><div class="updated"><p><b>認証コードの設定を保存しました</b></p></div><?php }?>

        <h1>プラグインの認証</h1>

        <form method="post" action="<?php echo str_replace( '%7E', '~', esc_url($admin_url)); ?>">

        <?php if (isset($result) && $result->valid) echo "<p><b>プラグインの認証が完了しました。</b></p>\n"; ?>
        
        <p>プラグインの認証を行います。当プラグインを使う際には、<a href="https://brmk.io/xZAd">こちら</a>よりプラグインを購入のうえ、認証用のパスワードを入力してください。<br>
        認証用パスワードは、<a href="https://richynokurashi.com/lp/jsonld_setting/">こちら</a>からも確認できます。</p>
        <?php $text_form->single_form('認証コード', 'amJL_plugin', '※必須'); ?>

        <input type="hidden" name="main" value="certification">
        <input type="submit" name="submit" class="btn-flat-border" value="認証を行う">

        </form>

        <?php 
        
        
    }
}